## org.mortbay.util
Class KeyPairTool

    java.lang.Object
      |
      +--org.mortbay.util.KeyPairTool

public class KeyPairTool
extends java.lang.Object

Perform simple private key management for keystores.

The current keytool lacks the ability to insert a key/cert pair sourced from another tool. This utility fills that gap.

Currently this only works for RSA key/cert pairs.

The inverse operation, exporting a keypair to an external format, has been left as an exercise for the reader... :-)

Version:
  $Id: KeyPairTool.java,v 1.7 2003/04/24 21:57:51 bretts Exp $
Author:
  Brett Sealey

Constructor Summary
`KeyPairTool()`

Method Summary
`static void` `main(java.lang.String[] args)` main entry point to start this tool

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyPairTool

    public KeyPairTool()

Method Detail

### main

    public static void main(java.lang.String[] args)

  main entry point to start this tool

  Parameters:
    `args` - String array containing command line arguments

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.